package com.mcwl.resource.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.resource.domain.SysUserAttention;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author DaiZibo
 * @date 2025/1/3
 * @apiNote
 */

@Mapper
public interface SysUserAttentionMapper extends BaseMapper<SysUserAttention> {
 SysUserAttention selectAttention(@Param("userId") Long userId, @Param("toUserId") Long toUserId);

 void deleteByUserId(@Param("userId") Long userId, @Param("toUserId") Long toUserId);

 Long selectBean(@Param("userId") Long userId);

 Long selectAttentionCount(@Param("userId") Long userId);

}
